OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.TransposeMatrix

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_transpose_matrix extension, see http://www.opengl.org/registry/specs/ARB/transpose_matrix.txt.

Synopsis

- glLoadTransposeMatrixf :: Ptr GLfloat -> IO ()
- glLoadTransposeMatrixd :: Ptr GLdouble -> IO ()
- glMultTransposeMatrixf :: Ptr GLfloat -> IO ()
- glMultTransposeMatrixd :: Ptr GLdouble -> IO ()
- gl_TRANSPOSE_MODELVIEW_MATRIX :: GLenum
- gl_TRANSPOSE_PROJECTION_MATRIX :: GLenum
- gl_TRANSPOSE_TEXTURE_MATRIX :: GLenum
- gl_TRANSPOSE_COLOR_MATRIX :: GLenum

# Functions

glLoadTransposeMatrixf :: Ptr GLfloat -> IO ()

glLoadTransposeMatrixd :: Ptr GLdouble -> IO ()

glMultTransposeMatrixf :: Ptr GLfloat -> IO ()

glMultTransposeMatrixd :: Ptr GLdouble -> IO ()

# Tokens

gl_TRANSPOSE_MODELVIEW_MATRIX :: GLenum

gl_TRANSPOSE_PROJECTION_MATRIX :: GLenum

gl_TRANSPOSE_TEXTURE_MATRIX :: GLenum

gl_TRANSPOSE_COLOR_MATRIX :: GLenum